# Generated by Django 2.1.7 on 2020-11-05 19:41

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('django_q', '0009_auto_20171009_0915'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalRemoveEquipamentModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('rut', models.CharField(max_length=20, null=True)),
                ('services', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('status', models.PositiveIntegerField(choices=[(0, 'ABIERTO'), (1, 'REGISTRADO EN ICLASS'), (3, 'ORDEN CREADA'), (4, 'RETIRAR ORDEN'), (5, 'EN ALMACEN'), (6, 'EN BODEGA'), (7, 'PROCESAR EN ICLASS'), (8, 'CORREO ENVIADO'), (9, 'RETIRADO EN MATRIX'), (10, 'RETIRADO DE RED'), (11, 'CERRADO')])),
                ('slack_thread', models.PositiveIntegerField(null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('agent', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('remember', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='django_q.Schedule')),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical remove equipament model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='RemoveEquipamentModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('rut', models.CharField(max_length=20, null=True)),
                ('services', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('status', models.PositiveIntegerField(choices=[(0, 'ABIERTO'), (1, 'REGISTRADO EN ICLASS'), (3, 'ORDEN CREADA'), (4, 'RETIRAR ORDEN'), (5, 'EN ALMACEN'), (6, 'EN BODEGA'), (7, 'PROCESAR EN ICLASS'), (8, 'CORREO ENVIADO'), (9, 'RETIRADO EN MATRIX'), (10, 'RETIRADO DE RED'), (11, 'CERRADO')])),
                ('slack_thread', models.PositiveIntegerField(null=True)),
                ('agent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='agent_user_it_remove_equipament', to=settings.AUTH_USER_MODEL)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='formercustomers_removeequipamentmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('remember', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='remember_remove_equipament', to='django_q.Schedule')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='formercustomers_removeequipamentmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
